QGIS Application - Bug report #522
Major shapefile display error
2007-01-08 09:32 AM - kwilliams-penbaymedia-com -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 10581
Description

| have two shapefiles for the entire State of Maine that display either badly or completely wrong in QGIS. Both were made by dissolving
(Using [[ArcCatalog]])/ArcToolbox) all of the townships in the State so that only the shape of the State is present. Due to many islands,
there are over 1,000 polygon features.

In QGIS, the 1:100k shapefile displays as half fill, half black (see attached screenshot qgis_errori.png). The 1:24k scale, higher detail
shapefile is really bad, missing the vast majority of the state (see qgis_error2.png showing the same extent).

This is a major problem. | remember 0.7.4 on OS X (but not Windows) having similar difficulty where it simply ran into a maximum
number of vertices limit. Does this limit still exist, now in Windows too?

| have tried using multipart polygon features with the exact same results.

History

#1 - 2007-01-08 09:52 AM - kwilliams-penbaymedia-com -

| tried simplifying the shapefile using [[ArcToolbox]] and it appears that there is a limit to the number of allowable vertices per feature. The simplified

shapefile (simplified from the dissolved shapefile) displays just fine. Unfortunately, the reduced detail severely hampers the shapefile's usefulness and

appearance when zoomed in.

#2 - 2007-01-08 11:48 AM - Gavin Macaulay -

This is most likely a problem with the filling of complex polygons in Qt's drawing algorithms. We have no complete solution to this, and are awaiting a fix for
Qt. Further details are in ticket #83.

There are two controls in the Settings:Options:Rendering dialog box that may help. Try 'Make lines appear less jagged...", and 'Fix problems with

incorrectly filled polygons'. In many cases one of these two options will fix problems with incorrectly filled polygons.

#3 - 2007-01-26 04:35 AM - anonymous -

| have also observed this behaviour.

Are you trying to draw a polygon with holes by inserting extra segments from the outer boundary to the holes?

This works, provided the extra edges don't cut through

any other edge. If they do, the result usually looks like the attached examples.
See attached file wrong_rendering.png

reverse(moc.tcmn@kire)

#4 - 2007-02-14 11:31 PM - guy-duplaa-onf-fr -

| also have a wrong display with one huge object with islands which is always black like in one of the attached files.

It is like if the outside black border was coming inside, so the object looks like filled black. You can verify by changing the default black colour to another

one.

For this object, i change in the layer properties the line value which is by default continue by another one and it looks fine.

Hope it helps

#5 - 2007-11-22 11:23 PM - Gavin Macaulay -
- Status changed from Open to Closed

- Resolution set to duplicate

This is the same problem as is discussed in ticket #83.

#6 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
